Minimum System Requirements for QuikStories

Question

What are the minimum system requirements to utilize QuikStories?

Where does it apply?

  • GoPro App
  • Quik for mobile
  • iOS Devices
  • Android Devices

Answer

To use QuikStories, make sure you have the following:
  • A mobile device with version 4.0 or higher of the GoPro app and version 4.2 or higher of the Quik app installed on your phone or tablet.
  • Bluetooth enabled on your mobile device.
  • ​A HERO5 Black or newer camera, or HERO5 Session, with at least 25% battery power, running version 2.51 firmware.​ Learn how to get the latest firmware.
Recommended specifications
While not required, we recommend that your mobile device meets the following specifications:
  • At least 5GB of space available on your phone: QuikStories will work with less, but will perform better with more.
  • ​25% or more battery power: Keep your phone and camera charged to ensure QuikStories runs smoothly.
Using QuikStories with Karma and Karma Grip
QuikStories works with HERO5 cameras, including footage captured using a Karma drone or Karma Grip. You will need to remove your HERO5 from Karma and ensure Wi-Fi is on before QuikStories can copy the footage to your phone.

More tips & troubleshooting:

quikstories, quik stories, minimum requirements, system requirements
Was this article helpful? Yes | No
Thanks for your feedback.

Feedback

Please tell us how we can make this article more useful.

Reason:
Comments:
Characters Remaining 255